# GET /time

Returns the server time

`GET https://api.aevo.xyz/time`

## Example Request

```bash
curl --request GET \
     --url https://api.aevo.xyz/time \
     --header 'accept: application/json'
```

## Responses

**`200`** — Server time.

| Field       | Type   | Required | Description                                                                       |
| ----------- | ------ | -------- | --------------------------------------------------------------------------------- |
| `name`      | string | Yes      | name Example: `5732cc1f14e842f393e8cdecb49f02fa`                                  |
| `timestamp` | string | Yes      | Timestamp in UNIX in nanoseconds. Example: `1680249600000000000`                  |
| `time`      | string | Yes      | ISO string of the current time Example: `2023-08-24 07:15:51.448450894 +0000 UTC` |
| `sequence`  | string | Yes      | Sequence of the current time Example: `1602711444`                                |
| `block`     | string | Yes      | 1366770 Example: `2023-08-24 07:15:51.448450894 +0000 UTC`                        |

**`429`** — Rate limit exceeded.

| Field   | Type   | Required | Description                                   |
| ------- | ------ | -------- | --------------------------------------------- |
| `error` | string | Yes      | Error message. Example: `RATE_LIMIT_EXCEEDED` |

**`500`** — Internal server error.

| Field   | Type   | Required | Description                              |
| ------- | ------ | -------- | ---------------------------------------- |
| `error` | string | Yes      | Error message. Example: `INTERNAL_ERROR` |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aevo.xyz/api-reference/urls/public-api/gettime.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
